Subject: RE: [[email-masked]: [Fwd: Question about APS MIB]]

From: "Chapman, Ken" <[email-masked]>
Date: Thu, 8 Feb 2001 10:30:35 -0500

Alex raises a very good issue.  I would like to suggest a robust solution.
There should be a new ifType called "Protected SONET Channel" which would
sit on top
of the protected SONET lines.  It would keep counters for the channel no
matter which
underlying line (working or protection) is carrying the live traffic.  The
working and 
protection lines would maintain their counters as if they were not part of
an APS group.
The ifStackTable and the ifInvStackTable would contain entries for BOTH
paths; the state of
ifStackStatus (and ifInvStackStatus) would reflect which line was active and
which was
notInService.  For 1-1 and 1:1 APS, the protection line would only have one
entry, but 
in a 1:n, it would have n entries, and at most, one could be in the active
state.
Whether or not the ifStackStatus is writeable for the APS lines needs to be
decided,
but I'd suggest leaving it up to the implementation; however, that needs to
be 
clearly documented.
I realize that this is a significant addition, but in the interest of "doing
it right
the first time" I urge the WG to seriously consider this proposal.
	Ken

++++++++++++++++++++++++++++++++++++++++++++++
Ken Chapman           Unisphere Networks, Inc.
Tel: +1-978-614-5322  5 Carlisle Drive
Fax: +1-978-692-9992  Westford, MA 01886
Email: [email-masked]
++++++++++++++++++++++++++++++++++++++++++++++

> -----Original Message-----
> From: Alexander Lindeijer(ETO)
> [mailto:[email-masked]]
> Sent: Thursday, February 08, 2001 6:10 AM
> To: [email-masked]'
> Subject: FW: [[email-masked]: [Fwd: Question about APS MIB]]
> 
> 
> Hi
> Can I raise the question described below? I don't think Jim's 
> solotion works. Some where the higherLayer interfaces of the 
> protected interface have to meet. You also want one interface 
> where performance data of the resulting protected interface 
> is hold (a combination of performance of the working and 
> protecting interface). It has to be more clear how the ASP 
> MIB relates to the ifTable and ifSTackTable.
> 
> Best Regards
> Alex Lindeijer
> Ericsson Norway AS,
> BL XC&IP,
> PO Box 34,
> N-1361 Billingstad
> Norway.
> Tel: +47 6684 2609
> Email:[email-masked]
> 
> 
> 
> -----Original Message-----
> From: Jim Kuhfeld [mailto:[email-masked]] 
> Sent: 29. januar 2001 19:43
> To: [email-masked]
> Cc: Michael Thatcher
> Subject: [[email-masked]: [Fwd: Question about APS MIB]]
> 
> 
> The subject hasn't been addressed by the working group 
> before. Feel free to address 
> this issue to [email-masked] if you would 
> like to see this clarified.
> 
> My personal opinion is that the sonetPath and sonetVT 
> interfaces stacked above a 
> working channel sonet interface should not be moved in the 
> ifStackTable to a position 
> above the protection sonet interface when a protection switch 
> occurs. With the 
> example of a working channel switched to protection because 
> of a signal failure 
> condition, I expected the working channel sonet interface 
> ifOperStatus to report 
> down and any sonetPath or sonetVT interfaces configured on 
> that channel to 
> report lowerLayerDown. I imagined that the protection channel 
> interface stack would 
> have the same arrangement of sonetPath and sonetVT interfaces 
> as the working 
> channel that has been switched to protection, but they would 
> be a separate set of 
> interfaces with different InterfaceIndex values.
> 
> 
> ----------------
> 
> Hi
> My name is Alex Lindeijer, working at Ericsson in Norway, and 
> I'm interested in the SONET APS MIB that is in draft status 
> at the moment. I have one question:
> What happens when a protection switch happens. Do things only 
> change in this APS MIB or things also meant to change in the 
> ifStackTable in the interface MIB. What I mean is whether the 
> SONET path that uses the working section interface(that is 
> part of an APS group) will be moved in the ifStackTable over 
> the protection LTE interface. Or that the ifSTackTable 
> remains unchanged and that the actual connectivity is only 
> indicated by the apsChanStatus?
> Thanks in advance and best regards
> Alex Lindeijer
> Ericsson Norway AS,
> BL XC&IP,
> PO Box 34,
> N-1361 Billingstad
> Norway.
> Tel: +47 6684 2609
> Email:[email-masked]
> 
> 
> 
> 
> ----- End forwarded message -----
>